## org.apache.mahout.common.lucene
Class IteratorTokenStream

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.mahout.common.lucene.IteratorTokenStream

All Implemented Interfaces:
  Closeable

    public final class IteratorTokenStream

extends org.apache.lucene.analysis.TokenStream

Used to emit tokens from an input string array in the style of TokenStream

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`org.apache.lucene.util.AttributeSource.AttributeFactory, org.apache.lucene.util.AttributeSource.State`

Constructor Summary
`IteratorTokenStream(Iterator<String> iterator)`

Method Summary
`boolean` `incrementToken()`

Methods inherited from class org.apache.lucene.analysis.TokenStream
`close, end, reset`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IteratorTokenStream

    public IteratorTokenStream(Iterator<String> iterator)

Method Detail

### incrementToken

    public boolean incrementToken()

  Specified by:
    `incrementToken` in class `org.apache.lucene.analysis.TokenStream`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.